Issue installing any Python version 3.8+ since macOS Monterey update - python-3.x

Prior to the Monterey update, I had a fairly stable method of running x86 versions of Python (3.8, and 3.10) on my M1 Mac by adapting these instructions (basically, arch -x86_64 brew to install x86 versions of Python dependencies and using arch -x86_64 pyenv to install Python).
Since Monterey, whenever I try to install a different version of Python 3.8+ (e.g. 3.9.11), I get this error:
BUILD FAILED (OS X 12.3 using python-build 20180424)
Inspect or clean up the working tree at /var/folders/q6/w2pgnv455zx_swdp919_zsww0000gn/T/python-build.20220324065050.66757
Results logged to /var/folders/q6/w2pgnv455zx_swdp919_zsww0000gn/T/python-build.20220324065050.66757.log
Last 10 log lines:
"_libintl_textdomain", referenced from:
_PyIntl_textdomain in libpython3.9.a(_localemodule.o)
_PyIntl_textdomain in libpython3.9.a(_localemodule.o)
ld: symbol(s) not found for architecture x86_64
ld: symbol(s) not found for architecture x86_64
clang: clang: error: linker command failed with exit code 1 (use -v to see invocation)
error: linker command failed with exit code 1 (use -v to see invocation)
make: *** [Programs/_testembed] Error 1
make: *** Waiting for unfinished jobs....
make: *** [python.exe] Error 1
I am struggling to find anything significant in the corresponding config.log (top lines included):
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by python configure 3.9, which was
generated by GNU Autoconf 2.69. Invocation command line was
$ ./configure --prefix=/Users/joshualee/.pyenv/versions/3.9.11_x86 --libdir=/Users/joshualee/.pyenv/versions/3.9.11_x86/lib --with-openssl=/opt/homebrew/opt/openssl#1.1
## --------- ##
## Platform. ##
## --------- ##
hostname = Macbook-Pro-2.local
uname -m = x86_64
uname -r = 21.4.0
uname -s = Darwin
uname -v = Darwin Kernel Version 21.4.0: Mon Feb 21 20:35:58 PST 2022; root:xnu-8020.101.4~2/RELEASE_ARM64_T6000
/usr/bin/uname -p = i386
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = Mach kernel version:
Darwin Kernel Version 21.4.0: Mon Feb 21 20:35:58 PST 2022; root:xnu-8020.101.4~2/RELEASE_ARM64_T6000
Kernel configured for up to 10 processors.
10 processors are physically available.
10 processors are logically available.
Processor type: i486 (Intel 80486)
Processors active: 0 1 2 3 4 5 6 7 8 9
Primary memory available: 16.00 gigabytes
Default processor set: 515 tasks, 2684 threads, 10 processors
Load average: 2.49, Mach factor: 7.50
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /opt/homebrew/Cellar/pyenv/2.2.5/libexec
PATH: /opt/homebrew/Cellar/pyenv/2.2.5/plugins/python-build/bin
PATH: /Users/joshualee/.pyenv/shims
PATH: /opt/homebrew/bin
PATH: /opt/homebrew/sbin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/sbin
PATH: /sbin
PATH: /Users/joshualee/.local/bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:2860: checking build system type
configure:2874: result: x86_64-apple-darwin21.4.0
configure:2894: checking host system type
configure:2907: result: x86_64-apple-darwin21.4.0
configure:2937: checking for python3.9
configure:2967: result: no
configure:2937: checking for python3
configure:2953: found /Users/joshualee/.pyenv/shims/python3
configure:2964: result: python3
configure:3058: checking for --enable-universalsdk
configure:3105: result: no
configure:3129: checking for --with-universal-archs
configure:3144: result: no
configure:3300: checking MACHDEP
configure:3351: result: "darwin"
configure:3645: checking for gcc
configure:3672: result: clang
configure:3901: checking for C compiler version
configure:3910: clang --version >&5
Apple clang version 13.1.6 (clang-1316.0.21.2)
Target: x86_64-apple-darwin21.4.0
Thread model: posix
InstalledDir: /Library/Developer/CommandLineTools/usr/bin
configure:3921: $? = 0
configure:3910: clang -v >&5
Apple clang version 13.1.6 (clang-1316.0.21.2)
Target: x86_64-apple-darwin21.4.0
Thread model: posix
InstalledDir: /Library/Developer/CommandLineTools/usr/bin
configure:3921: $? = 0
configure:3910: clang -V >&5
clang: error: argument to '-V' is missing (expected 1 value)
clang: error: no input files
configure:3921: $? = 1
configure:3910: clang -qversion >&5
clang: error: unknown argument '-qversion'; did you mean '--version'?
clang: error: no input files
configure:3921: $? = 1
configure:3941: checking whether the C compiler works
configure:3963: clang -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include -I/usr/local/opt/openssl#3/include -I/usr/local/opt/xz/include -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include -L/opt/homebrew/opt/readline/lib -L/opt/homebrew/opt/readline/lib -L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib -L/usr/local/opt/openssl#3/lib -L/usr/local/opt/xz/lib -L/opt/homebrew/lib -L/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib conftest.c >&5
ld: warning: directory not found for option '-L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib'
configure:3967: $? = 0
configure:4015: result: yes
configure:4018: checking for C compiler default output file name
configure:4020: result: a.out
configure:4026: checking for suffix of executables
configure:4033: clang -o conftest -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include -I/usr/local/opt/openssl#3/include -I/usr/local/opt/xz/include -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include -L/opt/homebrew/opt/readline/lib -L/opt/homebrew/opt/readline/lib -L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib -L/usr/local/opt/openssl#3/lib -L/usr/local/opt/xz/lib -L/opt/homebrew/lib -L/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib conftest.c >&5
ld: warning: directory not found for option '-L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib'
configure:4037: $? = 0
configure:4059: result:
configure:4081: checking whether we are cross compiling
configure:4089: clang -o conftest -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include -I/usr/local/opt/openssl#3/include -I/usr/local/opt/xz/include -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include -L/opt/homebrew/opt/readline/lib -L/opt/homebrew/opt/readline/lib -L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib -L/usr/local/opt/openssl#3/lib -L/usr/local/opt/xz/lib -L/opt/homebrew/lib -L/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib conftest.c >&5
ld: warning: directory not found for option '-L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib'
configure:4093: $? = 0
configure:4100: ./conftest
configure:4104: $? = 0
configure:4119: result: no
configure:4124: checking for suffix of object files
configure:4146: clang -c -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include -I/usr/local/opt/openssl#3/include -I/usr/local/opt/xz/include -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c >&5
configure:4150: $? = 0
configure:4171: result: o
configure:4175: checking whether we are using the GNU C compiler
configure:4194: clang -c -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include -I/usr/local/opt/openssl#3/include -I/usr/local/opt/xz/include -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c >&5
configure:4194: $? = 0
configure:4203: result: yes
configure:4212: checking whether clang accepts -g
configure:4232: clang -c -g -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c >&5
configure:4232: $? = 0
configure:4273: result: yes
configure:4290: checking for clang option to accept ISO C89
configure:4353: clang -c -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include -I/usr/local/opt/openssl#3/include -I/usr/local/opt/xz/include -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c >&5
configure:4353: $? = 0
configure:4366: result: none needed
configure:4391: checking how to run the C preprocessor
configure:4422: clang -E -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c
configure:4422: $? = 0
configure:4436: clang -E -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c
conftest.c:8:10: fatal error: 'ac_nonexistent.h' file not found
#include <ac_nonexistent.h>
^~~~~~~~~~~~~~~~~~
1 error generated.
configure:4436: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define _GNU_SOURCE 1
| #define _NETBSD_SOURCE 1
| #define __BSD_VISIBLE 1
| #define _DARWIN_C_SOURCE 1
| #define _PYTHONFRAMEWORK ""
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:4461: result: clang -E
configure:4481: clang -E -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c
configure:4481: $? = 0
configure:4495: clang -E -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include conftest.c
conftest.c:8:10: fatal error: 'ac_nonexistent.h' file not found
#include <ac_nonexistent.h>
^~~~~~~~~~~~~~~~~~
1 error generated.
configure:4495: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define _GNU_SOURCE 1
| #define _NETBSD_SOURCE 1
| #define __BSD_VISIBLE 1
| #define _DARWIN_C_SOURCE 1
| #define _PYTHONFRAMEWORK ""
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:4523: checking for grep that handles long lines and -e
configure:4581: result: /usr/bin/grep
configure:4586: checking for a sed that does not truncate output
configure:4650: result: /usr/bin/sed
configure:4658: checking for --with-cxx-main=<compiler>
configure:4684: result: no
configure:4933: checking for clang++
configure:4966: result: no
configure:5202:
By default, distutils will build C++ extension modules with "clang++".
If this is not intended, then set CXX on the configure command line.
configure:5211: checking for the platform triplet based on compiler characteristics
configure:5361: result: darwin
configure:5369: checking for multiarch
configure:5381: result:
configure:5398: checking for -Wl,--no-as-needed
configure:5414: clang -o conftest -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include -I/usr/local/opt/openssl#3/include -I/usr/local/opt/xz/include -I/opt/homebrew/opt/readline/include -I/opt/homebrew/opt/readline/include -I/Users/joshualee/.pyenv/versions/3.9.11_x86/include -I/opt/homebrew/include -L/opt/homebrew/opt/readline/lib -L/opt/homebrew/opt/readline/lib -L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib -L/usr/local/opt/openssl#3/lib -L/usr/local/opt/xz/lib -L/opt/homebrew/lib -L/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib -Wl,--no-as-needed conftest.c >&5
ld: warning: directory not found for option '-L/Users/joshualee/.pyenv/versions/3.9.11_x86/lib'
ld: unknown option: --no-as-needed
clang: error: linker command failed with exit code 1 (use -v to see invocation)
configure:5414: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define _GNU_SOURCE 1
| #define _NETBSD_SOURCE 1
| #define __BSD_VISIBLE 1
| #define _DARWIN_C_SOURCE 1
| #define _PYTHONFRAMEWORK ""
| /* end confdefs.h. */
Things I have tried:
re-installing xcode command line tools
re-installing with brew (and arch brew -x86_64) pyenv pre-requisites: openssl, readling, sqlite3 etc.
different CFLAGS and LDFLAGS (I can't remember which but largely, pointing to x86 folders for openssl, zlib, readline, etc.)
I am still fairly new to using M1 Macs so any guidance would be much appreciated.

The solution was to
install gettext library with arch -x86_64 /usr/local/bin/brew install gettext
add path to gettext to pyenv CFLAGS and LDFLAGS in your .zshrc file. (Usually it's at ~/.zshrc)
export LDFLAGS="-L/usr/local/opt/gettext/lib"
export CPPFLAGS="-I/usr/local/opt/gettext/include"
restart terminal

Related

No decode delegate for ImageMagick

I am try to compress the JPEG file and installed ImageMagick on Linux machine. PFB.
Below is the convert command looks like.
Any idea to fix it?
Below are logs :
No package 'pango' found
configure:32506: result:
configure:32565: result: -------------------------------------------------------------
configure:32569: checking for PNG
configure:32576: $PKG_CONFIG --exists --print-errors "libpng >= 1.0.0"
configure:32579: $? = 0
configure:32593: $PKG_CONFIG --exists --print-errors "libpng >= 1.0.0"
configure:32596: $? = 0
configure:32634: result: yes
configure:32638: result:
configure:32682: result: -------------------------------------------------------------
configure:32686: checking for RAW_R
configure:32693: $PKG_CONFIG --exists --print-errors "libraw_r >= 0.14.8"
Package libraw_r was not found in the pkg-config search path.
Perhaps you should add the directory containing `libraw_r.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libraw_r' found
configure:32696: $? = 1
configure:32710: $PKG_CONFIG --exists --print-errors "libraw_r >= 0.14.8"
Package libraw_r was not found in the pkg-config search path.
Perhaps you should add the directory containing `libraw_r.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libraw_r' found
configure:32713: $? = 1
configure:32727: result: no
No package 'libraw_r' found
configure:32755: result:
configure:33003: result: -------------------------------------------------------------
configure:33005: checking for TIFF
configure:33007: result:
configure:33011: checking tiff.h usability
configure:33011: gcc -std=gnu99 -std=gnu99 -c -I/usr/include/libpng15 -fopenmp -g -O2 -Wall -mtune=corei7 -fexceptions -pthread -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 -DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16 conftest.c >&5
conftest.c:260:18: fatal error: tiff.h: No such file or directory
#include <tiff.h>
^
compilation terminated.
configure:33011: $? = 1
configure: failed program was:
Compile it in.
./configure -with-png=yes \
--with-jpeg=yes \
--with-jp2=yes \
--with-freetype=yes
From
http://www.imagemagick.org/discourse-server/viewtopic.php?t=22086.

error: C preprocessor "/usr/local/bin/cpp" fails sanity check

I'm trying to install freetype 2.8, unfortunately I started getting this error everytime I run the configure file I run into this issue: error: C preprocessor "/usr/local/bin/cpp" fails sanity check
I tried some solutions I found on the site but they didn't solve my problem, maybe you can.
I'll paste here the configure.log file:
`
$ ./configure
## --------- ##
## Platform. ##
## --------- ##
hostname = ubuntu
uname -m = x86_64
uname -r = 4.10.0-38-generic
uname -s = Linux
uname -v = #42~16.04.1-Ubuntu SMP Tue Oct 10 16:32:20 UTC 2017
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /home/tabi/bin
PATH: /home/tabi/.local/bin
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /usr/games
PATH: /usr/local/games
PATH: /snap/bin
configure:2934: $? = 0
configure:2923: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
Thread model: posix
gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4)
configure:2934: $? = 0
configure:2923: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:2934: $? = 1
configure:2923: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.
configure:2934: $? = 1
configure:2954: checking whether the C compiler works
configure:2976: gcc conftest.c >&5
configure:2980: $? = 0
configure:3028: result: yes
configure:3031: checking for C compiler default output file name
configure:3033: result: a.out
configure:3039: checking for suffix of executables
configure:3046: gcc -o conftest conftest.c >&5
configure:3050: $? = 0
configure:3072: result:
configure:3094: checking whether we are cross compiling
configure:3102: gcc -o conftest conftest.c >&5
configure:3106: $? = 0
configure:3113: ./conftest
configure:3117: $? = 0
configure:3132: result: no
configure:3137: checking for suffix of object files
configure:3159: gcc -c conftest.c >&5
configure:3163: $? = 0
configure:3184: result: o
configure:3188: checking whether we are using the GNU C compiler
configure:3207: gcc -c conftest.c >&5
configure:3207: $? = 0
configure:3216: result: yes
configure:3225: checking whether gcc accepts -g
configure:3245: gcc -c -g conftest.c >&5
configure:3245: $? = 0
configure:3286: result: yes
configure:3303: checking for gcc option to accept ISO C89
configure:3366: gcc -c -g -O2 conftest.c >&5
configure:3366: $? = 0
configure:3379: result: none needed
configure:3404: checking how to run the C preprocessor
configure:3474: result: /usr/local/bin/cpp
configure:3494: /usr/local/bin/cpp conftest.c
./configure: line 1609: /usr/local/bin/cpp: No such file or directory
configure:3494: $? = 127
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "FreeType"
| #define PACKAGE_TARNAME "freetype"
| #define PACKAGE_VERSION "2.8"
| #define PACKAGE_STRING "FreeType 2.8"
| #define PACKAGE_BUGREPORT "freetype#nongnu.org"
| #define PACKAGE_URL ""
| /* end confdefs.h. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| Syntax error
configure:3494: /usr/local/bin/cpp conftest.c
./configure: line 1609: /usr/local/bin/cpp: No such file or directory
configure:3494: $? = 127
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "FreeType"
| #define PACKAGE_TARNAME "freetype"
| #define PACKAGE_VERSION "2.8"
| #define PACKAGE_STRING "FreeType 2.8"
| #define PACKAGE_BUGREPORT "freetype#nongnu.org"
| #define PACKAGE_URL ""
| /* end confdefs.h. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| Syntax error
configure:3524: error: in `/home/tabi/Downloads/freetype-2.8/builds/unix':
configure:3526: error: C preprocessor "/usr/local/bin/cpp" fails sanity check
See `config.log' for more details
`

glibc Cross Compile Configure Error

I would like to cross compile glibc. But, I 'm getting an error.
glibc version is 2.24.
I tried compiling host and target i686-elf.
My $MACHTYPE environment label is x86_64-pc-linux-gnu.
Target directory includes binutils-2.27 and gcc-6.2.0.
My PATH environment is:
/home/ercan/cross/tools/tools_binaries/i686/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
Console output have been listing to below:
ercan#SAMSUNG ~/cross/tools/tools_sources/build-glibc $ ../glibc-2.24/configure --prefix="/home/ercan/cross/tools/tools_binaries/i686/i686-elf" --build=$MACHTYPE --host=i686-elf --target=i686-elf --with-headers="/home/ercan/cross/tools/tools_binaries/i686/i686-elf/include" libc_cv_forced_unwind=yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... i686-pc-elf
checking for i686-elf-gcc... i686-elf-gcc
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-elf-gcc accepts -g... yes
checking for gcc... gcc
checking for i686-elf-readelf... i686-elf-readelf
checking for i686-elf-g++... i686-elf-g++
checking whether we are using the GNU C++ compiler... yes
checking whether i686-elf-g++ accepts -g... yes
checking whether i686-elf-g++ can link programs... no
checking for sysdeps preconfigure fragments... aarch64 alpha arm hppa i386 m68k microblaze mips nacl nios2 powerpc s390 sh sparc tile x86_64
configure: running configure fragment for add-on libidn
configure: error:
*** The GNU C library is currently unavailable for this platform.
*** If you are interested in seeing glibc on this platform visit
*** the "How to submit a new port" in the wiki:
*** https://sourceware.org/glibc/wiki/#Development
*** and join the community!
It is not configured and config.log that is in build-glibc which content has been listing below:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by GNU C Library configure (see version.h), which was
generated by GNU Autoconf 2.69. Invocation command line was
$ ../glibc-2.24/configure --prefix=/home/ercan/cross/tools/tools_binaries/i686/i686-elf --build=x86_64-pc-linux-gnu --host=i686-elf --target=i686-elf --with-headers=/home/ercan/cross/tools/tools_binaries/i686/i686-elf/include libc_cv_forced_unwind=yes
## --------- ##
## Platform. ##
## --------- ##
hostname = SAMSUNG
uname -m = x86_64
uname -r = 4.4.0-21-generic
uname -s = Linux
uname -v = #37-Ubuntu SMP Mon Apr 18 18:33:37 UTC 2016
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /home/ercan/cross/tools/tools_binaries/i686/bin
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /usr/games
PATH: /usr/local/games
## ----------- ##
## Core tests. ##
## ----------- ##
configure:2189: checking build system type
configure:2203: result: x86_64-pc-linux-gnu
configure:2223: checking host system type
configure:2236: result: i686-pc-elf
configure:2265: checking for i686-elf-gcc
configure:2281: found /home/ercan/cross/tools/tools_binaries/i686/bin/i686-elf-gcc
configure:2292: result: i686-elf-gcc
configure:2561: checking for C compiler version
configure:2570: i686-elf-gcc --version >&5
i686-elf-gcc (GCC) 6.2.0
Copyright (C) 2016 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2581: $? = 0
configure:2570: i686-elf-gcc -v >&5
Using built-in specs.
COLLECT_GCC=i686-elf-gcc
COLLECT_LTO_WRAPPER=/home/ercan/cross/tools/tools_binaries/i686/libexec/gcc/i686-elf/6.2.0/lto-wrapper
Target: i686-elf
Configured with: ../gcc-6.2.0/configure --target=i686-elf --prefix=/home/ercan/cross/tools/tools_binaries/i686 --enable-languages=c,c++ --without-headers
Thread model: single
gcc version 6.2.0 (GCC)
configure:2581: $? = 0
configure:2570: i686-elf-gcc -V >&5
i686-elf-gcc: error: unrecognized command line option '-V'
i686-elf-gcc: fatal error: no input files
compilation terminated.
configure:2581: $? = 1
configure:2570: i686-elf-gcc -qversion >&5
i686-elf-gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?
i686-elf-gcc: fatal error: no input files
compilation terminated.
configure:2581: $? = 1
configure:2586: checking for suffix of object files
configure:2608: i686-elf-gcc -c conftest.c >&5
configure:2612: $? = 0
configure:2633: result: o
configure:2637: checking whether we are using the GNU C compiler
configure:2656: i686-elf-gcc -c conftest.c >&5
configure:2656: $? = 0
configure:2665: result: yes
configure:2674: checking whether i686-elf-gcc accepts -g
configure:2694: i686-elf-gcc -c -g conftest.c >&5
configure:2694: $? = 0
configure:2735: result: yes
configure:2764: checking for gcc
configure:2780: found /usr/bin/gcc
configure:2791: result: gcc
configure:2815: checking for i686-elf-readelf
configure:2831: found /home/ercan/cross/tools/tools_binaries/i686/bin/i686-elf-readelf
configure:2842: result: i686-elf-readelf
configure:2920: checking for i686-elf-g++
configure:2936: found /home/ercan/cross/tools/tools_binaries/i686/bin/i686-elf-g++
configure:2947: result: i686-elf-g++
configure:3018: checking for C++ compiler version
configure:3027: i686-elf-g++ --version >&5
i686-elf-g++ (GCC) 6.2.0
Copyright (C) 2016 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3038: $? = 0
configure:3027: i686-elf-g++ -v >&5
Using built-in specs.
COLLECT_GCC=i686-elf-g++
COLLECT_LTO_WRAPPER=/home/ercan/cross/tools/tools_binaries/i686/libexec/gcc/i686-elf/6.2.0/lto-wrapper
Target: i686-elf
Configured with: ../gcc-6.2.0/configure --target=i686-elf --prefix=/home/ercan/cross/tools/tools_binaries/i686 --enable-languages=c,c++ --without-headers
Thread model: single
gcc version 6.2.0 (GCC)
configure:3038: $? = 0
configure:3027: i686-elf-g++ -V >&5
i686-elf-g++: error: unrecognized command line option '-V'
i686-elf-g++: fatal error: no input files
compilation terminated.
configure:3038: $? = 1
configure:3027: i686-elf-g++ -qversion >&5
i686-elf-g++: error: unrecognized command line option '-qversion'; did you mean '--version'?
i686-elf-g++: fatal error: no input files
compilation terminated.
configure:3038: $? = 1
configure:3042: checking whether we are using the GNU C++ compiler
configure:3061: i686-elf-g++ -c conftest.cpp >&5
configure:3061: $? = 0
configure:3070: result: yes
configure:3079: checking whether i686-elf-g++ accepts -g
configure:3099: i686-elf-g++ -c -g conftest.cpp >&5
configure:3099: $? = 0
configure:3140: result: yes
configure:3165: checking whether i686-elf-g++ can link programs
configure:3188: i686-elf-g++ -o conftest -g -O2 conftest.cpp >&5
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find crt0.o: No such file or directory
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find crtbegin.o: No such file or directory
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find -lstdc++
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find -lm
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find -lgcc
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find -lg
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find -lc
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find -lgcc
/home/ercan/cross/tools/tools_binaries/i686/lib/gcc/i686-elf/6.2.0/../../../../i686-elf/bin/ld: cannot find crtend.o: No such file or directory
collect2: error: ld returned 1 exit status
configure:3188: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU C Library"
| #define PACKAGE_TARNAME "glibc"
| #define PACKAGE_VERSION "(see version.h)"
| #define PACKAGE_STRING "GNU C Library (see version.h)"
| #define PACKAGE_BUGREPORT "http://sourceware.org/bugzilla/"
| #define PACKAGE_URL "http://www.gnu.org/software/glibc/"
| #define PKGVERSION "(GNU libc) "
| #define REPORT_BUGS_TO "<http://www.gnu.org/software/libc/bugs.html>"
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:3211: i686-elf-g++ -o conftest -g -O2 -static conftest.cpp >&5
conftest.cpp:12:20: fatal error: iostream: No such file or directory
#include <iostream>
^
compilation terminated.
configure:3211: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU C Library"
| #define PACKAGE_TARNAME "glibc"
| #define PACKAGE_VERSION "(see version.h)"
| #define PACKAGE_STRING "GNU C Library (see version.h)"
| #define PACKAGE_BUGREPORT "http://sourceware.org/bugzilla/"
| #define PACKAGE_URL "http://www.gnu.org/software/glibc/"
| #define PKGVERSION "(GNU libc) "
| #define REPORT_BUGS_TO "<http://www.gnu.org/software/libc/bugs.html>"
| /* end confdefs.h. */
|
| #include <iostream>
|
| int
| main()
| {
| std::cout << "Hello, world!";
| return 0;
| }
|
configure:3226: result: no
configure:3709: checking for sysdeps preconfigure fragments
configure:3716: result:
configure:3787: running configure fragment for add-on libidn
configure:3868: error:
*** The GNU C library is currently unavailable for this platform.
*** If you are interested in seeing glibc on this platform visit
*** the "How to submit a new port" in the wiki:
*** https://sourceware.org/glibc/wiki/#Development
*** and join the community!
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_build=x86_64-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64-pc-linux-gnu
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=i686-elf
ac_cv_env_target_alias_set=set
ac_cv_env_target_alias_value=i686-elf
ac_cv_host=i686-pc-elf
ac_cv_objext=o
ac_cv_prog_BUILD_CC=gcc
ac_cv_prog_CC=i686-elf-gcc
ac_cv_prog_CXX=i686-elf-g++
ac_cv_prog_READELF=i686-elf-readelf
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
libc_cv_cxx_link_ok=no
libc_cv_forced_unwind=yes
libc_cv_nss_crypt=no
## ----------------- ##
## Output variables. ##
## ----------------- ##
AR=''
AS=''
ASFLAGS_config=''
AUTOCONF=''
AWK=''
BASH_SHELL=''
BISON=''
BUILD_CC='gcc'
CC='i686-elf-gcc'
CFLAGS='-g -O2'
CPP='i686-elf-gcc -E'
CPPFLAGS=''
CPPUNDEFS=''
CXX=''
CXXFLAGS='-g -O2'
CXX_SYSINCLUDES=''
DEFINES=''
DEFS=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
INSTALL_DATA=''
INSTALL_INFO=''
INSTALL_PROGRAM=''
INSTALL_SCRIPT=''
LD=''
LDFLAGS=''
LIBGD=''
LIBOBJS=''
LIBS=''
LN_S=''
LTLIBOBJS=''
MAKE=''
MAKEINFO=''
MSGFMT=''
NM=''
OBJCOPY=''
OBJDUMP=''
OBJEXT='o'
PACKAGE_BUGREPORT='http://sourceware.org/bugzilla/'
PACKAGE_NAME='GNU C Library'
PACKAGE_STRING='GNU C Library (see version.h)'
PACKAGE_TARNAME='glibc'
PACKAGE_URL='http://www.gnu.org/software/glibc/'
PACKAGE_VERSION='(see version.h)'
PATH_SEPARATOR=':'
PERL=''
PKGVERSION='(GNU libc) '
PKGVERSION_TEXI='(GNU libc) '
READELF='i686-elf-readelf'
RELEASE=''
REPORT_BUGS_TEXI='#uref{http://www.gnu.org/software/libc/bugs.html}'
REPORT_BUGS_TO='<http://www.gnu.org/software/libc/bugs.html>'
SED=''
SHELL='/bin/bash'
SYSINCLUDES=''
VERSION=''
ac_ct_CC=''
ac_ct_CXX=''
add_on_subdirs=' libidn'
add_ons='libidn'
all_warnings=''
base_machine='i386'
bindir='${exec_prefix}/bin'
bindnow='no'
build='x86_64-pc-linux-gnu'
build_alias='x86_64-pc-linux-gnu'
build_cpu='x86_64'
build_nscd='default'
build_os='linux-gnu'
build_pt_chown='no'
build_vendor='pc'
cross_compiling='yes'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
enable_lock_elision='no'
enable_timezone_tools='yes'
enable_werror='yes'
exec_prefix='NONE'
fno_unit_at_a_time=''
force_install='yes'
hardcoded_path_in_tests='no'
have_libaudit=''
have_libcap=''
have_selinux=''
host='i686-pc-elf'
host_alias='i686-elf'
host_cpu='i686'
host_os='elf'
host_vendor='pc'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
ldd_rewrite_script=''
libc_cv_cc_loop_to_function=''
libc_cv_cc_nofma=''
libc_cv_cc_submachine=''
libc_cv_cc_with_libunwind=''
libc_cv_complocaledir=''
libc_cv_cxx_thread_local=''
libc_cv_fpie=''
libc_cv_gcc_unwind_find_fde=''
libc_cv_has_glob_dat=''
libc_cv_hashstyle=''
libc_cv_localstatedir=''
libc_cv_mtls_dialect_gnu2=''
libc_cv_nss_crypt='no'
libc_cv_output_format=''
libc_cv_pic_default=''
libc_cv_pie_default=''
libc_cv_protected_data=''
libc_cv_rootsbindir=''
libc_cv_rtlddir=''
libc_cv_slibdir=''
libc_cv_sysconfdir=''
libc_cv_z_combreloc=''
libc_cv_z_execstack=''
libc_extra_cflags=''
libc_extra_cppflags=''
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
link_obsolete_rpc='no'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mach_interface_list=''
mandir='${datarootdir}/man'
multi_arch='default'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/home/ercan/cross/tools/tools_binaries/i686/i686-elf'
profile='no'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
shared='yes'
sharedstatedir='${prefix}/com'
stack_protector=''
static=''
static_nss='no'
subdirs=' '
submachine=''
sysconfdir='${prefix}/etc'
sysdeps_add_ons=''
sysheaders='/home/ercan/cross/tools/tools_binaries/i686/i686-elf/include'
sysnames=''
target_alias='i686-elf'
use_default_link='default'
use_ldconfig=''
use_nscd='yes'
with_fp='yes'
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "GNU C Library"
#define PACKAGE_TARNAME "glibc"
#define PACKAGE_VERSION "(see version.h)"
#define PACKAGE_STRING "GNU C Library (see version.h)"
#define PACKAGE_BUGREPORT "http://sourceware.org/bugzilla/"
#define PACKAGE_URL "http://www.gnu.org/software/glibc/"
#define PKGVERSION "(GNU libc) "
#define REPORT_BUGS_TO "<http://www.gnu.org/software/libc/bugs.html>"
#define HAVE_LIBIDN 1
configure: exit 1
How I cross compile glibc for i686-elf? Thanks for replies.
You are trying to build glibc for a bare metal target. This won't work as far as I know.
Use newlib if the target is in fact bare metal.
For linux targets, use --host=i686-pc-linux-gnu instead, and pass CC=i686-elf-gcc to configure if necessary.

gcc Error while configuring apache 2.2.21

I'm trying to install Apache 2.2.21 on my Suse linux but when i run the ./configure with the different options i get following Error:
# ./configure --prefix=/opt/Apache22 --enable-ssl --enable-logio --with-ssl=/opt/ssl
checking for chosen layout... Apache
checking for working mkdir -p... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
Configuring Apache Portable Runtime library ...
checking for APR... reconfig
configuring package in srclib/apr now
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
Configuring APR library
Platform: x86_64-unknown-linux-gnu
checking for working mkdir -p... yes
APR Version: 1.4.5
checking for chosen layout... apr
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: in `/opt/httpd-2.2.21/srclib/apr':
configure: error: C compiler cannot create executables
See `config.log' for more details.
configure failed for srclib/apr
Here is the correct log file.
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by configure, which was
generated by GNU Autoconf 2.64. Invocation command line was
$ /opt/httpd-2.2.21/srclib/apr/configure --disable-option-checking --prefix=/opt/Apache22 --cache-file=/dev/null --srcdir=/opt/httpd-2.2.21/srclib/apr --prefix=/opt/Apache22 --exec-prefix=/opt/Apache22 --libdir=${prefix}/lib --includedir=/opt/Apache22/include --bindir=${prefix}/bin --datadir=/opt/Apache22 --with-installbuilddir=${prefix}/build
## --------- ##
## Platform. ##
## --------- ##
hostname = sap9
uname -m = x86_64
uname -r = 2.6.16.60-0.54.5-default
uname -s = Linux
uname -v = #1 Fri Sep 4 01:28:03 UTC 2009
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = x86_64
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /opt/TradeXpress5/users/editest/bin
PATH: /opt/TradeXpress5/bin
PATH: /opt/TradeXpress5/bin/runner/bin
PATH: /usr/sbin
PATH: /bin
PATH: /usr/bin
PATH: /sbin
PATH: /usr/local/bin
PATH: /usr/bin/X11
## ----------- ##
## Core tests. ##
## ----------- ##
configure:3787: checking build system type
configure:3801: result: x86_64-unknown-linux-gnu
configure:3821: checking host system type
configure:3834: result: x86_64-unknown-linux-gnu
configure:3854: checking target system type
configure:3867: result: x86_64-unknown-linux-gnu
configure:3930: checking for working mkdir -p
configure:3946: result: yes
configure:4038: checking for chosen layout
configure:4040: result: apr
configure:4305: checking for gcc
configure:4321: found /usr/bin/gcc
configure:4332: result: gcc
configure:4561: checking for C compiler version
configure:4570: gcc --version >&5
gcc (GCC) 4.1.2 20070115 (SUSE Linux)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:4581: $? = 0
configure:4570: gcc -v >&5
Using built-in specs.
Target: x86_64-suse-linux
Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib64 --libexecdir=/usr/lib64 --enable-languages=c,c++,objc,fortran,obj-c++,java,ada --enable-checking=release --with-gxx-include-dir=/usr/include/c++/4.1.2 --enable-ssp --disable-libssp --disable-libgcj --with-slibdir=/lib64 --with-system-zlib --enable-shared --enable-__cxa_atexit --enable-libstdcxx-allocator=new --program-suffix= --enable-version-specific-runtime-libs --without-system-libunwind --with-cpu=generic --host=x86_64-suse-linux
Thread model: posix
gcc version 4.1.2 20070115 (SUSE Linux)
configure:4581: $? = 0
configure:4570: gcc -V >&5
gcc: '-V' option must have argument
configure:4581: $? = 1
configure:4570: gcc -qversion >&5
gcc: unrecognized option '-qversion'
gcc: no input files
configure:4581: $? = 1
configure:4603: checking for C compiler default output file name
configure:4625: gcc conftest.c >&5
/lib64/libc.so.6: file not recognized: File format not recognized
collect2: ld returned 1 exit status
configure:4629: $? = 1
configure:4666: result:
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| /* end confdefs.h. */
| #include <stdio.h>
| int
| main ()
| {
| FILE *f = fopen ("conftest.out", "w");
| return ferror (f) || fclose (f) != 0;
|
| ;
| return 0;
| }
configure:4672: error: in `/opt/httpd-2.2.21/srclib/apr':
configure:4676: error: C compiler cannot create executables
See `config.log' for more details.
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_build=x86_64-unknown-linux-gnu
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_host=x86_64-unknown-linux-gnu
ac_cv_mkdir_p=yes
ac_cv_prog_ac_ct_CC=gcc
ac_cv_target=x86_64-unknown-linux-gnu
## ----------------- ##
## Output variables. ##
## ----------------- ##
ALLOCA=''
APR_CONFIG_LOCATION='source'
APR_DOTTED_VERSION='1.4.5'
APR_LIBNAME=''
APR_MAJOR_VERSION='1'
AR=''
AS=''
ASCPP=''
AWK=''
CC='gcc'
CFLAGS=''
CPP=''
CPPFLAGS=''
CXX=''
CXXCPP=''
CXXFLAGS=''
DEFAULT_OSDIR=''
DEFS=''
DLLTOOL=''
DSYMUTIL=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
EXTRA_CFLAGS=''
EXTRA_CPPFLAGS=''
EXTRA_INCLUDES=''
EXTRA_LDFLAGS=''
EXTRA_LIBS=''
F77=''
FFLAGS=''
GREP=''
INCLUDES=''
INCLUDE_OUTPUTS=''
INCLUDE_RULES=''
INSTALL_DATA=''
INSTALL_PROGRAM=''
INSTALL_SCRIPT=''
INSTALL_SUBDIRS=''
LDFLAGS=''
LDLIBS=''
LIBOBJS=''
LIBS=''
LIBTOOL=''
LIBTOOL_LIBS=''
LN_S=''
LTFLAGS=''
LTLIBOBJS=''
LT_LDFLAGS=''
LT_NO_INSTALL=''
LT_VERSION=''
MKDEP=''
NMEDIT=''
NOTEST_CFLAGS=''
NOTEST_CPPFLAGS=''
NOTEST_INCLUDES=''
NOTEST_LDFLAGS=''
NOTEST_LIBS=''
OBJDUMP=''
OBJECTS_PLATFORM=''
OBJEXT=''
OSDIR=''
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_URL=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
RANLIB=''
RM=''
SED=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
ac_ct_CC='gcc'
ac_ct_CXX=''
ac_ct_F77=''
acceptfilter=''
apr_builddir='/opt/httpd-2.2.21/srclib/apr'
apr_builders='/opt/httpd-2.2.21/srclib/apr/build'
apr_charset_ebcdic=''
apr_has_user=''
apr_has_xthread_files=''
apr_inaddr_none=''
apr_procattr_user_set_requires_password=''
apr_srcdir='/opt/httpd-2.2.21/srclib/apr'
apr_tcp_nopush_flag=''
apr_thread_func=''
aprdso=''
aprlfs=''
arpa_ineth=''
bigendian=''
bindir='${prefix}/bin'
build='x86_64-unknown-linux-gnu'
build_alias=''
build_cpu='x86_64'
build_os='linux-gnu'
build_vendor='unknown'
conioh=''
crypth=''
ctypeh=''
datadir='/opt/Apache22'
datarootdir='${prefix}/share'
direnth=''
docdir='${datarootdir}/doc/${PACKAGE}'
dvidir='${docdir}'
eolstr=''
errnoh=''
exec_prefix='/opt/Apache22'
export_lib_target=''
fcntlh=''
fcntlser=''
file_as_socket=''
flockser=''
fork=''
hasfcntlser=''
hasflockser=''
hasposixser=''
hasprocpthreadser=''
hassysvser=''
have_corkable_tcp=''
have_getrlimit=''
have_in_addr=''
have_inet_addr=''
have_inet_network=''
have_iovec=''
have_ipv6=''
have_memchr=''
have_memmove=''
have_proc_invoked=''
have_sa_storage=''
have_sctp=''
have_setrlimit=''
have_sigaction=''
have_sigsuspend=''
have_sigwait=''
have_strcasecmp=''
have_strdup=''
have_stricmp=''
have_strncasecmp=''
have_strnicmp=''
have_strstr=''
have_unicode_fs=''
have_union_semun=''
havebeosarea=''
havemmapanon=''
havemmapshm=''
havemmaptmp=''
havemmapzero=''
haveos2shm=''
haveshmget=''
haveshmgetanon=''
havewin32shm=''
host='x86_64-unknown-linux-gnu'
host_alias=''
host_cpu='x86_64'
host_os='linux-gnu'
host_vendor='unknown'
htmldir='${docdir}'
includedir='/opt/Apache22/include'
infodir='${datarootdir}/info'
ino_t_value=''
installbuilddir='${datadir}/build-${APR_MAJOR_VERSION}'
int64_literal=''
int64_t_fmt=''
int64_value=''
int_value=''
ioh=''
lib_target=''
libdir='${prefix}/lib'
libexecdir='${exec_prefix}/modules'
limitsh=''
link=''
localedir='${datarootdir}/locale'
localstatedir='${prefix}'
long_value=''
lt_compile=''
mandir='${prefix}/man'
mmap=''
netdbh=''
netinet_inh=''
netinet_sctp_uioh=''
netinet_sctph=''
netinet_tcph=''
o_nonblock_inherited=''
oc=''
off_t_fmt=''
off_t_value=''
oldincludedir='/usr/include'
osuuid=''
pdfdir='${docdir}'
pid_t_fmt=''
posixser=''
prefix='/opt/Apache22'
proc_mutex_is_global=''
processh=''
proclockglobal=''
procpthreadser=''
program_transform_name='s,x,x,'
psdir='${docdir}'
pthreadh=''
pthreadser=''
rand=''
sbindir='${exec_prefix}/bin'
semaphoreh=''
sendfile=''
sharedmem=''
sharedstatedir='${prefix}/com'
shlibpath_var=''
short_value=''
signalh=''
size_t_fmt=''
size_t_value=''
so_ext=''
socklen_t_value=''
ssize_t_fmt=''
ssize_t_value=''
stdargh=''
stdint=''
stdioh=''
stdlibh=''
stringh=''
stringsh=''
struct_rlimit=''
sys_ioctlh=''
sys_sendfileh=''
sys_signalh=''
sys_socketh=''
sys_sockioh=''
sys_syslimitsh=''
sys_timeh=''
sys_typesh=''
sys_uioh=''
sys_unh=''
sys_waith=''
sysconfdir='${prefix}/conf'
sysvser=''
target='x86_64-unknown-linux-gnu'
target_alias=''
target_cpu='x86_64'
target_os='linux-gnu'
target_vendor='unknown'
tcp_nodelay_inherited=''
threads=''
timeh=''
top_builddir='/opt/httpd-2.2.21/srclib/apr'
uint64_literal=''
uint64_t_fmt=''
uint64_t_hex_fmt=''
unistdh=''
usebeosarea=''
usemmapanon=''
usemmapshm=''
usemmaptmp=''
usemmapzero=''
useos2shm=''
useshmget=''
useshmgetanon=''
usewin32shm=''
voidp_size=''
windowsh=''
winsock2h=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL ""
configure: exit 77
It probably has to do with:
/lib64/libc.so.6: file not recognized: File format not recognized
gcc is located under /usr/bin/gcc but i don't think the problem is the ./config not finding it. Could it maybe be that the reason lies with a newer version glibc beeing installed on the system? If so this would be my root problem if you will.
I upgraded binutils, which solved the problem.
I would imagine that it might be due to `target_vendor='unknown' with a value unknown. That would be my first port of call.
Install the gcc again with dependencies and the dependent modules as shown below and try ./configure again to fix the above issue
# rpm -ivh gcc-4.1.2-14.el5.i386.rpm glibc-devel-2.5-18.i386.rpm glibc-headers-2.5-18.i38
6.rpm kernel-headers-2.6.18-53.el5.i386.rpm
Preparing... ########################################### [100%]
1:kernel-headers ########################################### [ 25%]
2:glibc-headers ########################################### [ 50%]
3:glibc-devel ########################################### [ 75%]
4:gcc ########################################### [100%]
Make sure you have compile and build pcre,apr and apr-util before configuring apache.

Compiling wmii on Fedora 15 x86_64

I'm having trouble compiling wmii v3.9.2 on Fedora 15; Here's the interesting part (things break down at the linking stage):
% bmake -de
MAKE all libbio/
MAKE all libfmt/
MAKE all libregexp/
MAKE all libutf/
MAKE all libixp/
MAKE all doc/
MAKE all man/
MAKE all cmd/
MAKE all cmd/wmii/
MAKE all cmd/menu/
LD cmd/wmii9menu.out
/usr/bin/ld: wmii/xext.o: undefined reference to symbol 'XRenderFindVisualFormat'
/usr/bin/ld: note: 'XRenderFindVisualFormat' is defined in DSO /usr/lib64/libXrender.so.1 so try adding it to the linker command line
/usr/lib64/libXrender.so.1: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
*** Failed target: wmii9menu.out
*** Failed command: ../util/link "cc" "$(pkg-config --libs 2>/dev/null) -g -L../lib -L/usr/lib64 ../lib/libregexp9.a ../lib/libbio.a ../lib/libfmt.a ../lib/libutf.a -L../lib -L/usr/lib64 ../lib/libregexp9.a ../lib/libbio.a ../lib/libfmt.a ../lib/libutf.a" wmii9menu.out wmii9menu.o clientutil.o wmii/x11.o wmii/xext.o wmii/geom.o wmii/map.o util.o ../lib/libixp.a $(pkg-config --libs xft xrandr xinerama) -lXext
*** Error code 1
Stop.
bmake: stopped in /srv/redhat/BUILD/wmii+ixp-3.9.2/cmd
*** Failed target: dall
*** Failed command: dirs="libbio libfmt libregexp libutf libixp doc man cmd libwmii_hack rc alternative_wmiircs"; set -e; targ=dall; targ=${targ#d}; for i in $dirs; do export WMII_HGVERSION=""; export BASE=$i/; if [ ! -d $i ]; then echo Skipping nonexistent directory: $i 1>&2; else echo MAKE $targ $BASE; (cd $i && bmake $targ) || exit ; fi; done
*** Error code 1
Stop.
bmake: stopped in /srv/redhat/BUILD/wmii+ixp-3.9.2
Finally, in config.mk, I have the following settings:
...
INCLUDES = -I. -I$(ROOT)/include -I$(INCLUDE) -I/usr/include
LIBS = -L$(ROOT)/lib -L/usr/lib64
...
LDFLAGS += -g $(LIBS)
SOLDFLAGS += $(LDFLAGS)
SHARED = -shared -Wl,-soname=$(SONAME)
STATIC = -static
...
With a little more manual resolution, the statement generating the error is essentially as follows:
gcc \
-o wmii9menu.out\
-L../lib -L/usr/lib $(pkg-config --libs xft xrandr xinerama xext)\
../lib/libregexp9.a ../lib/libbio.a ../lib/libfmt.a\
../lib/libutf.a ../lib/libixp.a\
wmii9menu.o clientutil.o util.o\
wmii/x11.o wmii/xext.o wmii/geom.o wmii/map.o
Here, the pkg-config resolves to the following, which by itself is perfectly correct:
-lXft -lXrandr -lXinerama -lXext
And the solution is as follows:
--- wmii+ixp-3.9.2/config.mk 2011-06-03 14:03:22.950163074 +1000
+++ wmii+ixp-3.9.2/config.mk 2011-06-03 14:03:16.086129011 +1000
## -32 +32 ##
-X11PACKAGES = xft
+X11PACKAGES = xft xext xrandr xrender xinerama

Resources